Page MenuHomePhabricator

Namespace prefix "all:" "All:" and "All: " all behave differently
Closed, ResolvedPublic

Description

Not only do the namespace prefixes "all:" "All:" and "All: " all behave differently,
but they also differ from the setting of at Special:Search Advanced "All"

  1. Search for the two words `phenomenal inhouse' on Wikipedia.
  2. On the search results page, set Advanced to All namespaces, and press Search. You get six hits, in five different namespaces.
  3. In the search box insert "all:" with or without a space. You lose the two from the File namespace.
  4. Now try "All: " with capital "A" and a space. You lose article space.
  5. Now try "All:" with no space. You lose your query.

Should this be documented, or is it unintended?

Event Timeline

Cpiral created this task.Oct 15 2015, 12:18 AM
Cpiral raised the priority of this task from to Needs Triage.
Cpiral updated the task description. (Show Details)
Cpiral added a project: CirrusSearch.
Cpiral added a subscriber: Cpiral.
Restricted Application added a project: Discovery. · View Herald TranscriptOct 15 2015, 12:18 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Cpiral updated the task description. (Show Details)Oct 15 2015, 2:11 AM
Cpiral set Security to None.
Cpiral updated the task description. (Show Details)Oct 20 2015, 9:40 AM

Explained:

A namespace in the search box overrides the search bar's Advanced namespace selection.

The (2) happened because it searched inside the pdf files. Either the "Everything" (on the search bar, under the search box) or the "All"-namespaces-selected (in the Advanced namespaces selection) will say "(matches file content)".

And (3) happened because it didn't search inside the pdf.

The search namespace "all:" must be lowercase. All the other search parameter namespaces, except "all" can start with an initial capital letter. The of them can end with a space or not.

The (4) happened because "All: " in the namespace just a word, and the disappearing document did not have that word.

The (5) happened because "All:phenomenal" matched nothing in my default search domain. What it would have matched is allWord, or allXword, where X is any non-alphanumeric string.

Thanks for this venue. I'm documenting the results for Wikipedia:Help:Searching and CirrusSearch.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 17 2015, 5:49 AM
Cpiral closed this task as Resolved.Nov 17 2015, 5:50 AM